24hr Ticker Price Change
GETπ Public
Retrieve 24hr market statistics. Time is measured in hours; price changes are calculated over a window of approximately 24 to 25 hours. Data refreshes every minute.
The symbol, symbols, and types parameters are mutually exclusive.
The isFull parameter controls whether the full or simple response shape
is returned.
| Options | Example |
|---|---|
| No parameter | /ticker/24hr |
| symbol | /ticker/24hr?symbol=BTC-USDT |
| symbols | /ticker/24hr?symbols=["BTC-USDT","ETH-USDT","BTC-PERP-USDT"] |
| types | /ticker/24hr?types=["Spot"] |
| isFull | /ticker/24hr?isFull=false |
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | String | No | Symbol |
| symbols | String | No | Multiple symbols |
| types | String | No | Multiple types |
| isFull | Boolean | No | When true, return full response (24HrTickerPriceChangeFullResponse). When false, return simple response (24HrTickerPriceChangeResponse). |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| symbol | String | Symbol name |
| lastPrice | String | Closing price of the interval |
| openPrice | String | Opening price of the interval |
| highPrice | String | Highest price of the interval |
| lowPrice | String | Lowest price of the interval |
| amount | String | Total base currency amount |
| volume | String | Total quote currency volume |
| openTime | Double | Starting time of the interval |
| closeTime | Double | Closing time of the interval |
| priceChange | String | Difference between open and last price (lastPrice β openPrice) |
| priceChangePercent | String | Percentage of price change (priceChange / openPrice) |
| prevClosePrice | String | Previous close price |
| bidPrice | String | Highest bid price |
| bidQty | String | Quantity at highest bid price |
| askPrice | String | Lowest ask price |
| askQty | String | Quantity at lowest ask price |
| openInterest | String | Open interest in contracts (futures only) |
| fundingRate | String | Funding rate (futures only) |
| nextFundingTime | Double | Next funding time (futures only) |
| fundingIntervalMinutes | Double | Funding interval in minutes (futures only) |
example
GET
https://api.btse.com/public-api/market/v1/ticker/24hrResponse
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1624989977940,
"data": [
{
"symbol": "BTC-USDT",
"lastPrice": "20875.31000000",
"openPrice": "21323.78000000",
"highPrice": "21346.44000000",
"lowPrice": "20838.59000000",
"amount": "4.12750830",
"volume": "99151.67492000",
"openTime": 1667696772705,
"closeTime": 1667783172705,
"priceChange": "-448.47000000",
"priceChangePercent": "-2.103",
"prevClosePrice": "21324.77000000",
"bidPrice": "20875.00000000",
"bidQty": "0.03478000",
"askPrice": "20875.77000000",
"askQty": "0.01129000"
}
]
}